Bug 1478016 - samba: SMBLoris DoS attack on SMB service
samba: SMBLoris DoS attack on SMB service
Status: CLOSED CANTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20170801,repor...
: Security
Depends On: 1478017 1478341 1478471 1478472 1478473 1478474 1478475 1478476 1478567
Blocks: 1478023
  Show dependency treegraph
 
Reported: 2017-08-03 09:06 EDT by Adam Mariš
Modified: 2017-09-06 00:50 EDT (History)
19 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-01 06:26:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Samba Project 12945 None None None 2017-08-03 12:18 EDT

  None (edit)
Description Adam Mariš 2017-08-03 09:06:57 EDT
Samba is vulnerable to SMBLoris vulnerability affecting SMB service causing userspace OOM on Linux.

Reference:

http://seclists.org/fulldisclosure/2017/Aug/2

Reproducer:

https://gist.github.com/marcan/6a2d14b0e3eaa5de1795a763fb58641e
Comment 1 Adam Mariš 2017-08-03 09:07:37 EDT
Created samba tracking bugs for this issue:

Affects: fedora-all [bug 1478017]
Comment 2 Andreas Schneider 2017-08-03 12:15:57 EDT
max smbd processes (G)

    This parameter limits the maximum number of smbd(8) processes concurrently
    running on a system and is intended as a stopgap to prevent degrading
    service to clients in the event that the server has insufficient resources
    to handle more than this number of connections. Remember that under normal
    operating conditions, each user will have an smbd(8) associated with him or
    her to handle connections to all shares from a given host.

        Default: max smbd processes = 0

        Example: max smbd processes = 1000
Comment 3 Siddharth Sharma 2017-08-04 04:32:05 EDT
Mitigation:

1. use 'max smb processes = <max number of processes allowed>' in /etc/samba/smb.conf to limit maximum number of smbd processes.

2. Limit the exposure of TCP port 445 to internet.
Comment 11 Huzaifa S. Sidhpurwala 2017-08-08 11:38:56 EDT
External Reference:

https://access.redhat.com/security/vulnerabilities/smbloris
Comment 12 Huzaifa S. Sidhpurwala 2017-09-01 06:22:23 EDT
Statement:

There is currently no upstream patch for this issue. The Red Hat Product Security Team advises customer to use the "Mitigation" provided, to resolve this security flaw. We shall revisit this issue, when an appropriate upstream patch is available.

Note You need to log in before you can comment on or make changes to this bug.